// var farbtastic;

(function($){
	var pickColor = function(a, elem) {
		farbtastic.setColor(a);
    if (a == '#NaNNaNNaN')
    {
      a = '#000000';
    }
		$('#current_color').val(a);
		$('#current_color').css('background-color', a);
	};

	$(document).ready( function() {
  
    $('.color_admin_area').each(function(i,e){
      var wrap = $(e).children('.color-input-wrap');
      $(wrap).each(function(i2, e2){
        var showcolor = $(e2).find('div').first();
        var colortext = $(e2).find('input').first();
        $(colortext).after(
          '<input type="button" value="Select a Color" class="pickcolor button">'+
          '<div class="colorPickerDiv" style="z-index: 100; background:#eee; border:1px solid #ccc; position:absolute; display:none;"></div>'
        );
        
        setup_colorpicker(e2);
      });
      
    });
    
    function setup_colorpicker(elem)
    {
      var picker = $(elem).find('.colorPickerDiv').first();
      var input = $(elem).find('input').first();
      var preview = $(elem).find('div').first();
      try {
        farbtastic = $.farbtastic(picker, pickColor);
      } catch(err)
      {
        console.log(err);
        return;
      }
      
      pickColor( $(input).val(), elem );
      $(input).on('blur', function(event){
        var field = this;
        $(preview).css('background', $(field).val());
      });
  
  		$(elem).find('.pickcolor').first().click( function(e) {
  			$(elem).find('.colorPickerDiv').first().show();
        $(input).attr('id', 'current_color');
  			e.preventDefault();
  		});
  
  		$(input).keyup( function() {
  			var a = $(input).val(),
  				b = a;
  
  			a = a.replace(/[^a-fA-F0-9]/, '');
  			if ( '#' + a !== b )
  				$(input).val(a);
  			if ( a.length === 3 || a.length === 6 )
  				pickColor( '#' + a, elem );
  		});
  
  		$(document).mousedown( function() {
  			$(elem).find('.colorPickerDiv').first().hide();
        $('#current_color').focus();
        $(input).attr('id', '');
  		});
  
    }
  

	});
})(jQuery);
