var currentTheme = '';

jQuery(document).ready( function(){

		// When the DOM is ready to be interacted with, hook up
		// the DOM events for Google AdSense tracking.
 
			// I am a flag that will determine if the user is
			// currently mousing over a Google AdSense.
			var isOverGoogleAd = false;
      
			// When a user mouses over a Google AdSense iFrame, we
			// want to track that activity. This way, when the
			// current window blurs, we can guesstimate as to
			// whether or not the window-blur was due to the user
			// clicking the Google ad.
			jQuery( '.ad' )
				.mouseover(
					function(){
						isOverGoogleAd = true;
            jQuery(this).css({border: 'none'});
					}
				)
				.mouseout(
					function(){
						isOverGoogleAd = false;
            jQuery(this).css({border: 'none'});
					}
				)
			;
 
      // if the ad is a direct link (not using an iFrame)
      // give javascript a last chance to call the blur event
      // before leaving the browser window
      jQuery(window).on('unload', function(){
        jQuery(window).blur();
      });
 
			// Now that we are tracking the mouse movements over
			// the Google AdSense, let's track the window's blur
			// event to see if we can guesstimate the AdSesnse
			// usage.
			jQuery( window ).blur(
				function(){
					// Check to see if the user was over a Google
					// AdSense ad when the window was blurred.
					if (isOverGoogleAd){
 
						// Because the user was mousing over a
						// Google AdSense iFrame when the window
						// was blurred, it is reasonable to
						// estimate that the blurring is due to
						// the user clicking one of the ads.
						jQuery.ajax({
							type: "post",
							url: window.location.href,
							data: {
								adUrl: window.location.href,
                presetTheme: currentTheme,
                action: 'tracking'
								}
						});
					}
				}
			)
			// Focus the window by default.
			.focus()
			;
 


  jQuery('.ad').css({border: 'none'});
});
