<?php

	/* First we grab the current preset that is displaying from the 'asf_current_preset' option. Then, we use the 
	 * Constants from our PresetName class to determin which sidebar should be displayed
	 */
	
	// assigns returned currently showing preset
	$preset = $_SESSION['asf_current_preset'];
	
	$sidebar = new IntelliThemeSidebar();
	
	// determin which preset is currently active, and display the correct sidebar contents from the IntelliThemeSidebar class
	switch ($preset) {
		
		case PresetName::TOWER_RIGHT:
			$sidebar->double_column_sidebar_for_tower_left_and_right();
			break;
		
		case PresetName::TOWER_LEFT:
			$sidebar->double_column_sidebar_for_tower_left_and_right();
			break;
			
		case PresetName::CENTRAL_BANK:
			$sidebar->single_column_minimalist_sidebar();
			break;
		
		case PresetName::EASTSIDE:
			$sidebar->single_column_minimalist_sidebar();
			break;
		
		case PresetName::SANDLOT:
			$sidebar->single_column_minimalist_sidebar();
			break;
		
	}
	








?>
	
	