<?php

/* these are all the arrays that store the ad unit names, titles and db names for all presets
 * when you create a new preset, make sure to creat a new array that contains all of the
 * ad units for that new preset here. The loop which actually displays them is located in 
 * functions.php
 */
	 
	 // array stores titles, db names and image names for tower right ad blocks
	 $tower_right_ad_block_setting = array(
			'ad_block_1' => array( 
						'title' => 'Above Content Area Ad. Size: 468 x 15',
						'option_name' => PresetName::TOWER_RIGHT . '_above_content_linkunit',
						'image_name' => 'ad_' . PresetName::TOWER_RIGHT . '_above.png'
			),
			
			'ad_block_2' => array(  
						'title' => 'Below Post Title. Size: 300 x 250',
						'option_name' => PresetName::TOWER_RIGHT . '_below_post_title',
						'image_name' => 'ad_' . PresetName::TOWER_RIGHT . '_below.png'
			),
			
			'ad_block_3' => array(  
					'title' => 'Under Post/Page Content. Size: 468 x 60',
					'option_name' => PresetName::TOWER_RIGHT . '_under_content',
					'image_name' => 'ad_' . PresetName::TOWER_RIGHT . '_under.png'
			),
			
			'ad_block_4' => array(  
					'title' => 'Skyscraper Sidebar Ad. Size: 160 x 600',
					'option_name' => PresetName::TOWER_RIGHT . '_sidebar_sky',
					'image_name' => 'ad_' . PresetName::TOWER_RIGHT . '_sidebar.png'
			)
	 
	 );
	 
	  // array stores titles, db names and image names for tower left ad blocks
	 $tower_left_ad_block_setting = array(
			'ad_block_1' => array( 
						'title' => 'Above Content Area Ad. Size: 468 x 15',
						'option_name' => PresetName::TOWER_LEFT . '_above_content_linkunit',
						'image_name' => 'ad_' . PresetName::TOWER_LEFT . '_above.png'
			),
			
			'ad_block_2' => array( 
						'title' => 'Below Post Title. Size: 300 x 250',
						'option_name' => PresetName::TOWER_LEFT . '_below_post_title',
						'image_name' => 'ad_' . PresetName::TOWER_LEFT . '_below.png'
			),
			
			'ad_block_3' => array( 
						'title' => 'Under Post/Page Content. Size: 468 x 60',
						'option_name' => PresetName::TOWER_LEFT . '_under_content',
						'image_name' => 'ad_' . PresetName::TOWER_LEFT . '_under.png'
			),
			
			'ad_block_4' => array( 
						'title' => 'Skyscraper Sidebar Ad. Size: 160 x 600',
						'option_name' => PresetName::TOWER_LEFT . '_sidebar_sky',
						'image_name' => 'ad_' . PresetName::TOWER_LEFT . '_sidebar.png'
			)
	);
	
	
	  // array stores titles, db names and image names for central bank ad blocks
	 $central_bank_ad_block_setting = array(
			'ad_block_1' => array( 
						'title' => 'Above Content Area Ad. Size: 728 x 15',
						'option_name' => PresetName::CENTRAL_BANK . '_above_content_linkunit',
						'image_name' => 'ad_' . PresetName::CENTRAL_BANK . '_above.png'
			),
			
			'ad_block_2' => array( 
						'title' => 'Ad Below Post / Page Title on Left Side. Size: 336 x 280',
						'option_name' => PresetName::CENTRAL_BANK . '_below_title',
						'image_name' => 'ad_' . PresetName::CENTRAL_BANK . '_left_under.png'
			),
			
			'ad_block_3' => array( 
						'title' => 'Ad Below Post / Page Content. Size: 336 x 280',
						'option_name' => PresetName::CENTRAL_BANK . '_below_page',
						'image_name' => 'ad_' . PresetName::CENTRAL_BANK . '_right_under.png'
			),
			
			'ad_block_4' => array( 
						'title' => 'Skyscraper Ad For Sidebar. Size: 160 x 600',
						'option_name' => PresetName::CENTRAL_BANK . '_sidebar_sky',
						'image_name' => 'ad_' .PresetName::CENTRAL_BANK . '_sidebar_sky.png'
			)
	);
	
	
	// array stores titles, db names and image names for EastSide ad blocks
	 $eastside_ad_block_setting = array(
			'ad_block_1' => array( 
						'title' => 'Banner Ad in Header Size: 468 x 60',
						'option_name' => PresetName::EASTSIDE . '_head_banner',
						'image_name' => 'ad_' . PresetName::EASTSIDE . '_header.png'
			),
			//  'Above Content Area Leaderboard. Size: 728 x 90', 'heatmap_above_content_leader', 'ad_heat_leader.png',
			'ad_block_2' => array( 
						'title' => 'Above Content Area Leaderboard. Size: 728 x 90',
						'option_name' => PresetName::EASTSIDE . '_above_content_leader',
						'image_name' => 'ad_' . PresetName::EASTSIDE . '_leader.png'
			),
			//'Above Post / Page Title Small Banner Size: 468 x 60', 'heatmap_above_title_banner', 'ad_heat_first_banner.png',
			'ad_block_3' => array( 
						'title' => 'Above Post / Page Title Small Banner Size: 468 x 60',
						'option_name' => PresetName::EASTSIDE . '_above_title_banner',
						'image_name' => 'ad_' . PresetName::EASTSIDE . '_first_banner.png'
			),
			//  'Below Post / Page Title Small Banner Size: 468 x 60', 'heatmap_below_title_banner', 'ad_heat_second_banner.png',
			'ad_block_4' => array( 
						'title' => 'Below Post / Page Title Small Banner Size: 468 x 60',
						'option_name' => PresetName::EASTSIDE . '_below_title_banner',
						'image_name' => 'ad_' . PresetName::EASTSIDE . '_second_banner.png'
			),
			//  'After Post or Page Ad. Size: 468 x 60', 'heatmap_after_post_ad', 'ad_heat_after_content.png', $t
			'ad_block_5' => array( 
						'title' => 'After Post or Page Ad. Size: 468 x 60',
						'option_name' => PresetName::EASTSIDE . '_after_post_ad',
						'image_name' => 'ad_' . PresetName::EASTSIDE . '_after_content.png'
			),
			//  'Sidebar Ad Block. Size 300 x 250', 'heatmap_sidebar_block', 'ad_heat_sidebar_block.png', $
			'ad_block_6' => array( 
						'title' => 'Sidebar Ad Block. Size 300 x 250',
						'option_name' => PresetName::EASTSIDE . '_sidebar_block',
						'image_name' => 'ad_' . PresetName::EASTSIDE . '_sidebar_block.png'
			),
			//  'Sidebar Ad Skyscraper. Size 160x600', 'heatmap_sidebar_sky', 'ad_heat_sidebar_sky.png', $th
			'ad_block_7' => array( 
						'title' => 'Sidebar Ad Skyscraper. Size 160x600',
						'option_name' => PresetName::EASTSIDE . '_sidebar_sky',
						'image_name' => 'ad_' . PresetName::EASTSIDE . '_sidebar_sky.png'
			)
	);
	 
	
	  
	  // array stores titles, db names and image names for sandlot ad blocks
	 $sandlot_ad_block_setting = array(
	  // 'Block Unit Under Post/Page Title Size: 300 x 250', 'small_header_under_post_block', 'ad_small_under_title.png', $theme_url);
			'ad_block_1' => array( 
						'title' => 'Block Unit Under Post/Page Title Size: 300 x 250',
						'option_name' => PresetName::SANDLOT . '_under_post_block',
						'image_name' => 'ad_' . PresetName::SANDLOT . '_under_title.png'
			),
			 //  'Linkunit Ad in Header Size: 728 x 15', 'small_header_linkunit', 'ad_small_link_header.png', $theme_url);
			'ad_block_2' => array( 
						'title' => 'Linkunit Ad in Header Size: 728 x 15',
						'option_name' => PresetName::SANDLOT . '_linkunit',
						'image_name' => 'ad_' . PresetName::SANDLOT . '_link_header.png'
			),
			 // 'Linkunit Ad in Top of Sidebar Size: 160x90', 'small_header_vert_unit', 'ad_small_vert_unit.png', $theme_url);
			'ad_block_3' => array( 
						'title' => 'Linkunit Ad in Top of Sidebar Size: 160x90',
						'option_name' => PresetName::SANDLOT . '_vert_unit',
						'image_name' => 'ad_' . PresetName::SANDLOT . '_vert_unit.png'
			),
			//  'Skyscraper Sidebar Ad Block. Size: 160 x 600', 'small_header_sky', 'ad_small_side_sky.png', $theme_url);
			'ad_block_4' => array( 
						'title' => 'Skyscraper Sidebar Ad Block. Size: 160 x 600',
						'option_name' => PresetName::SANDLOT . '_sky',
						'image_name' => 'ad_' . PresetName::SANDLOT . '_side_sky.png'
			),
			 //  'Ad Unit After Post Content. Size: 468 x 60', 'small_header_under', 'ad_small_under_content.png', $theme_url);
			'ad_block_5' => array( 
						'title' => 'Ad Unit After Post Content. Size: 468 x 60',
						'option_name' => PresetName::SANDLOT . '_under',
						'image_name' => 'ad_' . PresetName::SANDLOT . '_under_content.png'
			)
	);
	
?>
