

<script type="text/javascript">
function asf_toggle_box(element)
{
  if (jQuery(element).next('.expandable').is(':visible') )
  {
    jQuery(element).next('.expandable').fadeOut('slow', function(){
      jQuery(element).val('+ Settings');
      jQuery(element).next('.expandable').find('.indicator').val('');  
    });
  } else {
    jQuery(element).next('.expandable').fadeIn('slow', function(){
      jQuery(element).val('- Settings');
      jQuery(element).next('.expandable').find('.indicator').val('visible');  
    });
  }
}

jQuery(document).ready(function(){
  jQuery('.expandable').each( function(index, element){
    jQuery(element).before('<input type="button" class="expand_button" value="+ Settings" onclick="asf_toggle_box(this); return false;" />')
  });
  
  jQuery('.image_upload').each(function(index, element){
    jQuery(element).css({width: '250px'});
    jQuery(element).live('click',
    	function() {
    		fileInput = jQuery(element);
    		tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
    		return false;
    	});
      
  	window.original_send_to_editor = window.send_to_editor;
  	window.send_to_editor = function(html) {
  		if (fileInput) {
  			fileurl = jQuery('img', html).attr('src');
  			if (!fileurl) {
  				fileurl = jQuery(html).attr('src');
  			}
  			jQuery(fileInput).val(fileurl);
  
  			tb_remove();
  
  		} else {
  			window.original_send_to_editor(html);
  		}
  	};
  });
  
  jQuery('.preview').on('click', function(event){
    var id = jQuery(this).attr('id');
    asf_show_preview(id.substring(8));
    // console.log(id);
      jQuery('#preview_image_' + id.substring(8) + ' a').on('click', function(event){
        event.preventDefault();
        jQuery(this).parent().css('display', 'none');      
      });
  });
  
  jQuery('.slider').slider({
    slide: function(event, ui){
      // check if slider is near the middle, then snap
      if( (ui.value > 40) && (ui.value < 60))
      {
        jQuery(this).slider('value', 50);
        jQuery(this).next('input[type=hidden]').val(50);
        jQuery('.option-change').change();
        return false;
      } 
      jQuery(this).next('input[type=hidden]').val(ui.value);
      jQuery('.option-change').change();
    }
  });
  
  jQuery('.reset-colors').on('click', function(event){
    var $this = this;
    asf_reset_colors($this);
  });

  jQuery('.slider').each(function(i, e){
    var id = jQuery(e).attr('id');
    var val = jQuery('#' + id + '_field').val();
    jQuery(e).slider({value: val});
  });

  function asf_reset_colors(t)
  {
    var theme_name = jQuery(t).attr('id').substr(6);
    var color_fields = jQuery(t).parent().find('div.color_admin_area').find('.color-input-wrap > input[type="text"]');
    // jQuery(color_fields).css('border', '1px solid red');
    // console.log(color_fields);
    var colors = new Array();
    <?php
    foreach ($intellitheme_default_colors as $key => $value)
    {
      echo 'var ary = new Array(\'' . implode('\',\'', $value) . '\');' . "\r\n";
      echo 'colors[\'' . $key . '\'] = ary;' . "\r\n";
    }
    ?>
    jQuery(color_fields).each(function(index, elem){
      jQuery(elem).val(colors[theme_name][index]);    
    });

    var font_fields = jQuery(t).parent().find('div.font_choice_area').find('.font-wrapper select');
    // jQuery(font_fields).css('border', '1px solid red');
    var fonts = new Array();
    <?php
    foreach ($intellitheme_default_fonts as $key => $value)
    {
      echo 'var ary = new Array(\'' . implode('\',\'', $value) . '\');' . "\r\n";
      echo 'fonts[\'' . $key . '\'] = ary;' . "\r\n";
    }
    ?>
    jQuery(font_fields).each(function(index, elem){
      jQuery(elem).val(fonts[theme_name][index]);
    });
    
    jQuery('.option-change').change();
  }

  function asf_show_preview(theme)
  {
    jQuery('#preview_image_' + theme + ' img').attr('src', '<?php echo get_stylesheet_directory_uri() ?>/images/preview_' + theme + '.png');
    jQuery('#preview_image_' + theme).css('display', 'block');
  }


	
	// -- This section sets up the 'Unsaved Settings' Messages when users change values in the Preset Options UI -- //
	jQuery('#option-notice').append('<div id="unsaved_options" style="display: none; width: 200px; margin-top: -11px; padding: 6px 4px; background-color: pink; border: 1px solid #ff8080; border-radius: 5px; "><b>You have unsaved changes!</b></div>');

	var unsaved_option = false;
	jQuery('.option-change').on("change", function() {
		// only runs once - unsaved_option gets et to true when the message has been displayed.
		if (unsaved_option == false) {
      jQuery('#unsaved_options').css('display', 'block');
			unsaved_option = true;
		}
	});

	// Special code for color picking option (shows notice onClick instead of when change 
	jQuery('.pickcolor').click(function() {
		if (unsaved_option == false) {
      jQuery('#unsaved_options').css('display', 'block');
			unsaved_option = true;
		}
	});
  				
  // need a method to show unsaved changes with immediate changes
  // unfortunately, there is no good solution to do that
  // Comparing old and new values in a running timer for all fields 
  // seems to be the only solution.
  
  var current_focus = '';
  var current_content = '';
  setInterval(check_changes, 1000);
  function check_changes()
  {
    if (current_focus != '')
    {
      if (jQuery(current_focus).val() != current_content)
      {
        jQuery('#unsaved_options').css('display', 'block');
  			unsaved_option = true;
      };
    } 
  }
  
  jQuery('.expandable input').on('focus', function(event){
    current_focus = this;
    current_content = jQuery(this).val();
  });
  jQuery('.expandable textarea').on('focus', function(event){
    current_focus = this;
    current_content = jQuery(this).text();
  });
  jQuery('.expandable input').on('blur', function(event){
    current_focus = '';
    current_content = '';
  });
  jQuery('.expandable textarea').on('blur', function(event){
    current_focus = '';
    current_content = '';
  });
});
</script> 


