

#intellitheme-main-menu {
	width: 800px;
	border: 1px solid red;
}
	
.preset_wrapper {
	margin-top: 30px;
}
	
.menu_box {
     background-color: #E6E6E6;  
     border: 1px solid #cccccc;
      border-radius: 10px 10px 10px 10px;
      -moz-border-radius: 10px 10px 10px 10px;
      -webkit-border-radius: 10px 10px 10px 10px;
      -ms-border-radius: 10px 10px 10px 10px;
      -o-border-radius: 10px 10px 10px 10px;
      min-height: 90px;
      margin: 15px 0 15px 30px;
      width: 800px;
      position: relative;
	  padding: 0px 15px;
    }
	
    .menu_box h2 { float:left; }
	
     .status_switch {
      position: absolute;
	  max-height: 20px;
      left: 15px;
      top: 42px;
    }
	
	/*
	.menu_box.active {
		padding-bottom: 20px;
	}
	*/
    
    .menu_box.inactive h2,
    .menu_box.inactive .weight,
    .menu_box.inactive .preview_title
     {
      color: #999;
    }
    
    .menu_box.inactive .slider {
      background: #999;
    }
    
    .menu_box.inactive .preview > img {
      opacity: 0.3;
    }
    
    .status-light {
		position: absolute;
		top: 1px;
		left: 40px;
	}
	
	.on-off-radio-group {
		position: absolute;
		top: 0px;
		left: 80px;
	}
    
    
	.button-set {
		position: absolute;
		top: -3px;
		left: 155px;
	}
    
    .lock {
      width: 25px;
      height: 21px;
      background: grey;
      margin-bottom: 10px;
    }
    
    
    .weight { 
      position: absolute; 
      top: 12px;
      left: 360px; 
    } 
    
    .slider {
		width: 200px;
      
		background: rgb(239,140,47);
		background: -moz-linear-gradient(left, rgba(239,140,47,1) 0%, rgba(239,239,45,1) 50%, rgba(98,173,93,1) 100%);
		background: -webkit-gradient(linear, left top, right top, color-stop(0%,rgba(239,140,47,1)), color-stop(50%,rgba(239,239,45,1)), color-stop(100%,rgba(98,173,93,1)));
		background: -webkit-linear-gradient(left, rgba(239,140,47,1) 0%,rgba(239,239,45,1) 50%,rgba(98,173,93,1) 100%);
		background: -o-linear-gradient(left, rgba(239,140,47,1) 0%,rgba(239,239,45,1) 50%,rgba(98,173,93,1) 100%);
		background: -ms-linear-gradient(left, rgba(239,140,47,1) 0%,rgba(239,239,45,1) 50%,rgba(98,173,93,1) 100%);
		background: linear-gradient(to right, rgba(239,140,47,1) 0%,rgba(239,239,45,1) 50%,rgba(98,173,93,1) 100%);
		filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ef8c2f', endColorstr='#62ad5d',GradientType=1 );      
    }
	
	span.left { 
		font-size: 10px; 
	}
	
    span.right { 
		float: right;
		font-size: 10px; 
	}
    
	span.middle {
		padding-left: 35px;
		font-size: 10px; 
	}
    
    .preview_title {
      position: absolute;
      top: 5px;
      left: 633px;
    }
    
    .preview {
		width: 40px;
		height: 40px;
		position: absolute;
		top: 35px;
		left: 640px;
		cursor: pointer;
    }
    
    .preview_image > a {
      float: right;
     
    }
    
    .preview_image {
      display: none;
      position: absolute;
      top: 25px;
      left: 520px;
      z-index: 5;
      background: #DDD;
      padding: 5px 10px;
      box-shadow: 3px 3px 5px #DDD;
    }
	
    .expandable {
      width: 650px;
      margin-top: 120px;
    }  
	
    .menu_box .expand_button {
      position: absolute;
      right: 20px;
      top: 20px;
      border: 1px solid #707070;
      border-radius: 4px;
      -moz-border-radius: 4px;
      -webkit-border-radius: 4px;
      -ms-border-radius: 4px;
      -o-border-radius: 4px;
      
	background: rgb(240,240,240);
	background: -moz-linear-gradient(top, rgba(240,240,240,1) 0%, rgba(214,214,214,1) 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(240,240,240,1)), color-stop(100%,rgba(214,214,214,1)));
	background: -webkit-linear-gradient(top, rgba(240,240,240,1) 0%,rgba(214,214,214,1) 100%);
	background: -o-linear-gradient(top, rgba(240,240,240,1) 0%,rgba(214,214,214,1) 100%);
	background: -ms-linear-gradient(top, rgba(240,240,240,1) 0%,rgba(214,214,214,1) 100%);
	background: linear-gradient(to bottom, rgba(240,240,240,1) 0%,rgba(214,214,214,1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f0f0f0', endColorstr='#d6d6d6',GradientType=0 );
    }

	.design_options_area {
		margin: 100px 0 50px 0;
		border: 1px solid #aaaaaa;
		border-radius: 7px;
		padding: 10px 10px;
		
	}
	
	.color-input-wrap{
		margin: 10px 5px;
	}
	
	
	.ad-image {
		padding-left: 25px;
	}
	
	.ad_code_options_wrapper {
		margin-bottom: 45px;
	}
	
	.radio_buttons {
		width: 275px;
		height: 60px;
	}
	
	.radio-label {
		padding-right: 5px;
	}
	
	.button-set {
		float: right;
      border: 1px solid #707070;
      border-radius: 4px;
      -moz-border-radius: 4px;
      -webkit-border-radius: 4px;
      -ms-border-radius: 4px;
      -o-border-radius: 4px;
	background: rgb(240,240,240);
	background: -moz-linear-gradient(top, rgba(240,240,240,1) 0%, rgba(214,214,214,1) 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(240,240,240,1)), color-stop(100%,rgba(214,214,214,1)));
	background: -webkit-linear-gradient(top, rgba(240,240,240,1) 0%,rgba(214,214,214,1) 100%);
	background: -o-linear-gradient(top, rgba(240,240,240,1) 0%,rgba(214,214,214,1) 100%);
	background: -ms-linear-gradient(top, rgba(240,240,240,1) 0%,rgba(214,214,214,1) 100%);
	background: linear-gradient(to bottom, rgba(240,240,240,1) 0%,rgba(214,214,214,1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f0f0f0', endColorstr='#d6d6d6',GradientType=0 );
	}
	
	.set-directions {
		font-size: 10px; 
		margin-top: 10px;
	}
	
	
	/*-- Tower Right Admin Styles --*/
	
	#color_display_bg_tower_right {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_RIGHT . '_color_background'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4; 
	}
	
	#color_display_header_tower_right {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_RIGHT . '_color_header'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4; 
	}
	
	#color_display_side_left_tower_right {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_RIGHT . '_color_sidebar_left'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	#color_display_side_right_tower_right {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_RIGHT . '_color_sidebar_right'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	#color_display_links_tower_right {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_RIGHT . '_color_links'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	#color_display_footer_tower_right {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_RIGHT . '_color_footer'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	
	/*-- Tower Left Styles --*/
	
	#color_display_bg_tower_left {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_LEFT . '_color_background'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4; 
	}
	
	#color_display_header_tower_left {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_LEFT  . '_color_header'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4; 
	}
	
	#color_display_side_left_tower_left {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_LEFT . '_color_sidebar_left'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	#color_display_side_right_tower_left {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_LEFT  . '_color_sidebar_right'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	#color_display_links_tower_left {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_LEFT  . '_color_links'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	#color_display_footer_tower_left {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::TOWER_LEFT  . '_color_footer'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	
	/*-- Central Bank Styles --*/
	
	#color_display_bg_central_bank {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::CENTRAL_BANK  . '_color_background'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4; 
	}
	
	#color_display_header_central_bank {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::CENTRAL_BANK . '_color_header'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4; 
	}
	
	
	#color_display_sidebar_central_bank {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::CENTRAL_BANK . '_color_sidebar'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	#color_display_links_central_bank {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::CENTRAL_BANK . '_color_links'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
    border: 1px solid #c4c4c4;
	}
	
		#color_display_footer_central_bank {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::CENTRAL_BANK . '_color_footer'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
    border: 1px solid #c4c4c4;
	}
	
	
	/*-- EastSide Preset Color Styles --*/
	
	#color_display_bg_eastside {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::EASTSIDE . '_color_background'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4; 
	}
	
	#color_display_header_eastside {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::EASTSIDE . '_color_header'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4; 
	}
	
	
	#color_display_sidebar_eastside {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::EASTSIDE . '_color_sidebar'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	#color_display_links_eastside {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::EASTSIDE . '_color_links'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
		#color_display_footer_eastside {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::EASTSIDE . '_color_footer'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	
	/* -- Color Styles for Small_header -- */
	
	#color_display_bg_sandlot {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::SANDLOT . '_color_background'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4; 
	}
	
	#color_display_header_sandlot {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::SANDLOT . '_color_header'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4; 
	}
	
	
	#color_display_sidebar_sandlot {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::SANDLOT . '_color_sidebar'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	#color_display_links_sandlot {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::SANDLOT . '_color_links'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
	
	#color_display_footer_sandlot {
		float: left; 
		margin: 3px 5px 0px 0px; 
		background-color: <?php asf_hex_display(PresetName::SANDLOT . '_color_footer'); ?>; 
		height: 20px; 
		width: 20px; 
		border-radius: 3px; 
		-moz-border-radius: 3px; 
		-webkit-border-radius: 3px; 
		-ms-border-radius: 3px; 
		-o-border-radius: 3px; 
		border: 1px solid #c4c4c4;
	}
  
  .color_admin_area {
	margin-top: 50px;
  }
  
  
  .img_preview {
    float: right;
  }
  
  .img_preview img {
    width: 300px;
  }
  
  
  .font_choice_area {
		margin-top: 50px;
	}
	
	
	.font-option {
		width: 260px;
		float: left;
	}
	
	.font-wrapper {
		padding: 5px 0;
	}
	
	.title_display_option_area {
		margin-top: 50px;
	}
	
	#option-notice {
		position: fixed;
		margin-left: 875px;
		padding: 20px 0 0 20px;
		width: 250px;
		height: 200px;
	}
	
	.center-mark {
		margin-left: 97px;
	}
	
	.preset-changes-preview {
		margin-top: 65px;
	}
	